Package org.apache.lucene.benchmark.byTask.feeds

# Class DemoHTMLParser.Parser

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.DemoHTMLParser.Parser

Enclosing class:
  `DemoHTMLParser`

public static final class DemoHTMLParser.Parser extends Object
The actual parser to read HTML documents

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `body`
  `final Properties`
  `metaTags`
  `final String`
  `title`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parser(Reader reader)`
  `Parser(InputSource source)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### metaTags

    public final Properties metaTags

  - ### title

    public final String title

  - ### body

    public final String body

- ## Constructor Details

  - ### Parser

    public Parser(Reader reader) throws IOException, SAXException
    Throws:
      `IOException`
      `SAXException`

  - ### Parser

    public Parser(InputSource source) throws IOException, SAXException
    Throws:
      `IOException`
      `SAXException`